org.icefaces.ace.component.stackpane

## Class StackPaneHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.ComponentHandler
        - - org.icefaces.ace.component.stackpane.StackPaneHandler

- All Implemented Interfaces:
    javax.faces.view.facelets.FaceletHandler

      public class StackPaneHandler
      extends javax.faces.view.facelets.ComponentHandler

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackPaneHandler(javax.faces.view.facelets.ComponentConfig componentConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyNextHandler(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`
    `void` | `onComponentCreated(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`
    `protected boolean` | `shouldOptimiseSkipChildConstruction(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`
    `protected boolean` | `updateFlagShouldOptimiseSkipChildConstruction(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

    - ### Methods inherited from class javax.faces.view.facelets.ComponentHandler

      `getComponentConfig, getTagHandlerDelegate, isNew, onComponentPopulated`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StackPaneHandler

          public StackPaneHandler(javax.faces.view.facelets.ComponentConfig componentConfig)

  - ### Method Detail

    - #### onComponentCreated

          public void onComponentCreated(javax.faces.view.facelets.FaceletContext ctx,
                                         javax.faces.component.UIComponent c,
                                         javax.faces.component.UIComponent parent)

      Overrides:
        `onComponentCreated` in class `javax.faces.view.facelets.ComponentHandler`

    - #### applyNextHandler

          public void applyNextHandler(javax.faces.view.facelets.FaceletContext ctx,
                                       javax.faces.component.UIComponent c)
                                throws java.io.IOException,
                                       javax.faces.FacesException,
                                       javax.el.ELException

      Overrides:
        `applyNextHandler` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
      Throws:
        `java.io.IOException`
        `javax.faces.FacesException`
        `javax.el.ELException`

    - #### updateFlagShouldOptimiseSkipChildConstruction

          protected boolean updateFlagShouldOptimiseSkipChildConstruction(javax.faces.view.facelets.FaceletContext ctx,
                                                                          javax.faces.component.UIComponent c,
                                                                          javax.faces.component.UIComponent parent)

    - #### shouldOptimiseSkipChildConstruction

          protected boolean shouldOptimiseSkipChildConstruction(javax.faces.view.facelets.FaceletContext ctx,
                                                                javax.faces.component.UIComponent c,
                                                                javax.faces.component.UIComponent parent)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.